@echo off

set mask=*.nds
set patcher=xdelta3.0z.x86-32.exe
set param=-d -s
set rom_in=Zelda_Spirit_Tracks_[U].nds
set patch=Zelda_Spirit_Tracks_[U]_RUS_1.1.delta
set rom_out=Zelda_Spirit_Tracks_[U]_RUS_1.1.nds
set bool=ERRORLEVEL 1
set rom_err=Wrong_rom.nds

echo The Legend of Zelda: Spirit Tracks
echo Patching...
if exist %mask% ren %mask% %rom_in%
%patcher% %param% %rom_in% %patch% %rom_out%
if %bool% (
if exist %rom_in% ren %rom_in% %rom_err%
if exist %rom_out% del %rom_out%
echo Fail!
) else (
del %rom_in%
echo PATCHED OK!
)
pause 